Subject: backlight/ld9040.c: regulator control in the lcd driver

From: [email-masked] (Mark Brown)
Date: Fri, 2 Dec 2011 10:52:24 +0000

On Fri, Dec 02, 2011 at 11:36:13AM +0100, Linus Walleij wrote:

> I don't think that's true. You *must* have some voltage on VMMC
> to power the card, the optional part is regulating that voltage to
> different levels as requested by the card internal machinery when
> talking to it. All MMC/SD cards can run on a fixed voltage, something
> like 3.8V I think.

> In line with our previous discussions I think this should actually be
> defined as a fixed voltage regulator in case it cannot be controlled,
> because there sure as hell is a voltage there on all systems.

I have to say that I was very suspicious of this claim at the time but
there was so much pain associated with the MMC stuff that it just got
left to slide.  Similarly with the use of regulator_get_exclusive() to
vary the voltage, I'd *really* expect that the code would be able to
cope with shared supplies.